Package Details: vim-youcompleteme-git r2791.a3d02238-1

Git Clone URL: https://aur.archlinux.org/vim-youcompleteme-git.git (read-only, click to copy)
Package Base: vim-youcompleteme-git
Description: A code-completion engine for Vim
Upstream URL: https://ycm-core.github.io/YouCompleteMe/
Keywords: completion engine neovim vim ycm
Licenses: GPL3
Groups: vim-plugins
Submitter: thestinger
Maintainer: artafinde
Last Packager: artafinde
Votes: 162
Popularity: 1.55
First Submitted: 2013-02-05 21:32
Last Updated: 2021-04-10 12:53

Dependencies (21)

Sources (1)

Pinned Comments

artafinde commented on 2021-04-10 13:03

If you want to use system's abseil set the _use_system_abseil to ON - default is to download from internet during build.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

artafinde commented on 2020-05-11 10:53

@raucao what version of vim are you using? vim --version

raucao commented on 2020-05-11 10:40

@artafinde I have the same in my vimrc. And the package builds fine (I didn't report a build failure). The problem is that it doesn't work with the system vim anymore, throwing the aforementioned error when opening vim.

artafinde commented on 2020-05-11 10:37

@raucao the package builds fine as is (no changes in PKGBUILD) on an up to date system in a clean-chroot (see_wiki). I am using it with vim not neovim (although it works fine with neovim also) and with the below on my .vimrc

let g:ycm_server_python_interpreter = '/usr/bin/python3'

raucao commented on 2020-05-11 10:20

After a recent system upgrade YCM stopped working, so I tried to update this package. Unfortunately, it doesn't work anymore, and complains about missing Python when launching vim:

YouCompleteMe unavailable: unable to load Python.

I re-installed vim, and it does have support for Python. Unfortunately, over on the YCM repo, the response is that it needs Python 3 support, and everyone just says to install Neovim to get that, but I do not wish to use Neovim. Also, it does look like the system/Arch Vim has both Python 2 and 3 support.

So, as this package is supposed to work with the normal Arch vim dependency, I am reporting it as a bug now.

(I also tried compiling my own vim with Python 3, but I couldn't figure out how this package even inserts YCM into the vim loading process in the first place. So that didn't help either.)

artafinde commented on 2020-04-28 17:00

@staletic I tried to understand what you mean with the pinned message regarding the removal of submodules and even tried to create a PKGBUILD without them but it seems more complicated than it seems (at least to me). Using submodules it's a pain for packaging it.

artafinde commented on 2020-04-20 12:36

Updated without version bump

edacval commented on 2020-04-20 10:53

I would like to suggest one more patch - this will strips reference to $srcdir from gopls and cleans go modcache after build:

diff --git a/PKGBUILD b/PKGBUILD
index 2e500ff..42a935c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -192,7 +192,8 @@ build() {
                local _local_GOPATH="$srcdir"/YouCompleteMe/third_party/ycmd/third_party/go
                mkdir ${_local_GOPATH} || exit
                cd ${_local_GOPATH} || exit
-               GO111MODULE=on GOPATH=${_local_GOPATH} go get golang.org/x/tools/gopls@v0.4.0
+               GO111MODULE=on GOPATH=${_local_GOPATH} go get -trimpath golang.org/x/tools/gopls@v0.4.0
+               GO111MODULE=on GOPATH=${_local_GOPATH} go clean -modcache
        else
                echo 'Skipping Gocode completer...'
        fi

petronny commented on 2020-04-20 06:52

Getting this error:

[ 72%] Building CXX object ycm/CMakeFiles/ycm_core.dir/CodePointRepository.cpp.o
[ 75%] Building CXX object ycm/CMakeFiles/ycm_core.dir/IdentifierDatabase.cpp.o
[ 77%] Building CXX object ycm/CMakeFiles/ycm_core.dir/IdentifierCompleter.cpp.o
[ 80%] Building CXX object ycm/CMakeFiles/ycm_core.dir/IdentifierUtils.cpp.o
[ 83%] Building CXX object ycm/CMakeFiles/ycm_core.dir/Result.cpp.o
[ 88%] Building CXX object ycm/CMakeFiles/ycm_core.dir/PythonSupport.cpp.o
[ 88%] Building CXX object ycm/CMakeFiles/ycm_core.dir/Utils.cpp.o
[ 91%] Building CXX object ycm/CMakeFiles/ycm_core.dir/Word.cpp.o
[ 94%] Building CXX object ycm/CMakeFiles/ycm_core.dir/ycm_core.cpp.o
[ 97%] Building CXX object ycm/CMakeFiles/ycm_core.dir/versioning.cpp.o
[100%] Linking CXX shared library /build/vim-youcompleteme-git/src/YouCompleteMe/third_party/ycmd/ycm_core.so
[100%] Built target ycm_core
/startdir/PKGBUILD: line 191: cd: /build/vim-youcompleteme-git/src/YouCompleteMe/third_party/ycmd/third_party/go/src/golang.org/x/tools/gopls: No such file or directory

artafinde commented on 2020-04-19 11:12

@holishing thanks for the heads up. I don't do any go development so if someone can help test this in advance I'd appreciate it. Use this PKGBUILD

holishing commented on 2020-04-18 12:14

https://github.com/ycm-core/ycmd/commit/f666d38fbbfdc3a5c585cb97596ef954a91763ec

this change about golang third_party part may let YCM not compilable